Summary: A set of X Window System screensavers.
Name: xscreensaver
Version: 3.23
Release: 1mdk
Copyright: BSD
Group: Graphical desktop/Other
URL: http://www.jwz.org/xscreensaver/
Source: http://www.jwz.org/xscreensaver/xscreensaver-%{version}.tar.bz2
Requires: xloadimage
BuildRequires: Mesa-devel
Buildroot: /var/tmp/xscreensaver-root

%package gl
Group: Graphical desktop/Other
Requires: xscreensaver = %{version}
Summary: A set of GL screensavers
%description gl

The xscreensaver-gl package contains even more screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screensavers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screensavers for
use with the X Window System and you have OpenGL or Mesa installed.

%description
The xscreensaver package contains a variety of screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure.

Install the xscreensaver package if you need screensavers for use with
the X Window System.

%prep
%setup -q

%build
RPMOPTS=""
%ifarch alpha
RPMOPTS="--without-xshm-ext"
%endif
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
	--without-motif  --with-pam --with-gl \
	--enable-subdir=../lib/xscreensaver
perl -p -i -e 's|#define ZIPPY_PROGRAM .*|#define ZIPPY_PROGRAM "/usr/games/fortune"|' config.h
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver
make prefix=$RPM_BUILD_ROOT/usr/X11R6 \
   AD_DIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults \
   HACKDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver \
   PAM_DIR=$RPM_BUILD_ROOT/etc/pam.d \
   KDEDIR=$RPM_BUILD_ROOT/usr \
   install

# Build the file list. Whee...
cd $RPM_BUILD_ROOT/usr/X11R6/lib/xscreensaver
for hack in *; do
   if ldd $hack | grep -q GL ; then
      echo "/usr/X11R6/lib/xscreensaver/$hack" >> $RPM_BUILD_DIR/xscreensaver-%{version}/glhacks
      if [ -f $RPM_BUILD_ROOT/usr/X11R6/man/man1/$hack.1 ]; then
          echo "/usr/X11R6/man/man1/$hack.1.bz2" >> $RPM_BUILD_DIR/xscreensaver-%{version}/glhacks
      fi
   else
      echo "/usr/X11R6/lib/xscreensaver/$hack" >> $RPM_BUILD_DIR/xscreensaver-%{version}/xhacks
      if [ -f $RPM_BUILD_ROOT/usr/X11R6/man/man1/$hack.1 ]; then
          echo "/usr/X11R6/man/man1/$hack.1.bz2" >> $RPM_BUILD_DIR/xscreensaver-%{version}/xhacks
      fi
   fi
done
echo $RPM_BUILD_DIR

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xhacks
%defattr(-,root,root)
%config /etc/pam.d/xscreensaver
%attr(0755,root,root) /usr/X11R6/bin/xscreensaver
/usr/bin/xscreensaver.kss
/usr/X11R6/bin/xscreensaver-command
/usr/X11R6/bin/xscreensaver-demo
/usr/X11R6/lib/X11/app-defaults/XScreenSaver
/usr/X11R6/man/man1/xscreensaver*.1*

%dir /usr/X11R6/lib/xscreensaver

%files -f glhacks gl

%changelog
* Sat Apr  1 2000 DindinX <odin@mandrakesoft.com> 3.23-1mdk
- New version

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 3.18-4mdk
- Fix groups
- Specs updates

* Thu Dec 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new Mesa.

* Fri Dec 03 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Define the ZIPPY_PROGRAM to /usr/games/fortune (and not `fortune`).

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- extend RPM silliness to man pages, too.
- kill setuid the Right Way(tm)
- 3.18.
- add a '-oneshot' single time lock option(r).
- take webcollage out of random list (for people who pay for bandwidth)(r).
- patch webcollage to use xloadimage(r)
- in the random list, run petri with -size 2 to save memory(r)
- remove security problem introduced earlier(r)

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting Mesa Xscreensaver.

* Sun Jul 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong dependences.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.17.
- Removed unused patchs.
- Add a new dependences (xscreensave now use gtk).

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.

* Tue May  4 1999 Bill Nottingham <notting@redhat.com>
- removed previously introduced security problem.

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- kill setuid the Right Way(tm)

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix xflame on alpha

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.09, fixes vmware interaction problems.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- remove setuid bit. Really. I mean it.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- kill setuid, since pam works OK

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.08

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig returns, and no one is safe...

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- remove bsod from random list because it's confusing people???? *sigh*

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to get it to compile cleanely on the arm

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 3.07

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 3.06

* Tue Nov 17 1998 Bill Nottingham <notting@redhat.com>
- update to 3.04

* Thu Nov 12 1998 Bill Nottingham <notting@redhat.com>
- update to 3.02
- PAMify

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out Noseguy module b/c of possible TMv
- install modules in /usr/X11R6/lib/xscreensaver
- don't compile support for xshm on the alpha
- properly buildrooted
- updated to version 2.34

* Fri Aug  7 1998 Bill Nottingham <notting@redhat.com>
- update to 2.27

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- added fix for argv0 buffer overflow

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 2.10 to 2.16
- added buildroot

* Wed Oct 25 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version, configure

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc

